/* eslint-disable @typescript-eslint/no-explicit-any */

import { executionActions } from "@/redux/currentApp/executionTree/executionSlice"


export const setGlobalDataIn = (params: {
  key: string
  path: string
  value: unknown
},store:any) => {
  const { key, path } = params
  if (typeof key !== "string" || typeof path !== "string") return
  store.dispatch(executionActions.setInGlobalStateInExecutionReducer(params))
}

export const setGlobalDataValue = (params: { key: string; value: unknown },store:any) => {
  const { key } = params    
  if (typeof key !== "string") return
  store.dispatch(executionActions.setGlobalStateInExecutionReducer(params))
}
